package com.goafanti.common.dao;

import com.goafanti.admin.bo.OutFinanceCount;
import com.goafanti.common.model.FinanceCount;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FinanceCountMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(FinanceCount record);

    int insertSelective(FinanceCount record);

    FinanceCount selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(FinanceCount record);

    int updateByPrimaryKey(FinanceCount record);

    int selectByAidAndDatesGetCount(@Param("aid") String aid, @Param("startTime") String startTime);

    void updateOrderCountAdd(@Param("aid") String aid, @Param("startTime") String startTime);



    FinanceCount selectByAidAndDates(@Param("aid") String aid, @Param("startTime") String startTime);

    void insetBatch(List<FinanceCount> addList);

    List<OutFinanceCount> financeLists(@Param("aid") String aid, @Param("startTime") String startTime, @Param("endTime") String endTime);

    void updateByFinance(@Param("useFinanceId") String useFinanceId,  @Param("financeId")String financeId);

    void deleteByAid(String financeId);
}
